#pragma once

#include <esp_err.h>
#include "mbcontroller.h"

#define MB_PORT_NUM     (CONFIG_MB_UART_PORT_NUM)   // Number of UART port used for Modbus connection
#define MB_DEV_SPEED    (CONFIG_MB_UART_BAUD_RATE)  // The communication speed of the UART
#define MB_PARITY       (CONFIG_MB_UART_PARITY)            // Parity used for Modbus communication
#define MB_STOP_BITS    (CONFIG_MB_UART_STOP_BITS)     // Number of stop bits used for UART communication

esp_err_t init_modbus(const mb_parameter_descriptor_t* device_parameters, const uint16_t num_device_parameters);
esp_err_t init_led_strip();
esp_err_t init_eventloop();
esp_err_t init_wifi();
esp_err_t init_nvs();
esp_err_t init_mqtt();